Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MethodMetaProperty

- org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

-     public class MethodMetaProperty
      extends MetaProperty

  Wrapper for a method for a property get or set. WARNING: This class is for internal use only, don't use it for your APIs

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `MethodMetaProperty.GetBeanMethodMetaProperty` | Wrapper for a method realizing the property getter.
    `static class` | `MethodMetaProperty.GetMethodMetaProperty` | Wrapper for a method realizing the property get.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodMetaProperty(String name, MetaMethod method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaMethod` | `getMetaMethod()`
    `` | `public Object` | `getProperty(Object object)`
    `` | `public void` | `setProperty(Object object, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MethodMetaProperty(String name, MetaMethod method)

  - ### Method Detail

    - #### public MetaMethod getMetaMethod()

    - #### @Override
      public Object getProperty(Object object)

    - #### @Override
      public void setProperty(Object object, Object newValue)